Subject: Re: [EXTERNAL] Re: [PATCH net,v5] virtio_net: clamp rss_max_key_size to NETDEV_RSS_KEY_LEN

From: Jakub Kicinski <[email-masked]>
Date: Tue, 31 Mar 2026 18:05:22 -0700

On Tue, 31 Mar 2026 10:48:41 -0400 Michael S. Tsirkin wrote:
> > > Thank you for the feedback. In net-next, NETDEV_RSS_KEY_LEN is 256. This fix is
> > > also intended for stable kernels, where NETDEV_RSS_KEY_LEN is 52, and
> > > I added the message to make clamping visible in that case.
> > > I will remove the check and send the next version.    
> > 
> > I'm sorry, I haven't looked at the historical context when I wrote my
> > previous reply.
> > 
> > IMHO the additional check does not make sense in the current net tree.
> > On the flip side stable trees will need it. I suggest:
> > 
> > - dropping the check for the 'net' patch
> > - also dropping CC: stable tag
> > - explicitly sending to stable the fix variant including the size check.
> > 
> > @Michael: WDYT?
>
> I was the one who suggested it, the extra check is harmless, I'm
> inclined to always have it.  Less work than maintaining two patches.

Give us an RB tag please and lets close this one? :)